<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('gurus', function (Blueprint $table) {
            // Menghapus kolom nrg
            $table->dropColumn('nrg');
        });
    }

    public function down(): void
    {
        Schema::table('gurus', function (Blueprint $table) {
            // Jika rollback, buat kembali kolom nrg (opsional)
            $table->string('nrg')->nullable()->after('id');
        });
    }
};
